<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.moveinDetails.mapper.MoveInAnBaseinfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.moveinDetails.entity.MoveInAnBaseinfo">
        <id column="ANCHEID" property="ancheid" />
        <result column="PRIPID" property="pripid" />
        <result column="ANCHEDATE" property="anchedate" />
        <result column="ANCHEYEAR" property="ancheyear" />
        <result column="REGNO" property="regno" />
        <result column="UNISCID" property="uniscid" />
        <result column="ENTNAME" property="entname" />
        <result column="ENTTYPE" property="enttype" />
        <result column="TEL" property="tel" />
        <result column="ADDR" property="addr" />
        <result column="POSTALCODE" property="postalcode" />
        <result column="EMAIL" property="email" />
        <result column="BUSST" property="busst" />
        <result column="BUSST_CN" property="busstCn" />
        <result column="EMPNUM" property="empnum" />
        <result column="EMPNUMDIS" property="empnumdis" />
        <result column="ANTYPE" property="antype" />
        <result column="COLGRANUM" property="colgranum" />
        <result column="COLEMPLNUM" property="colemplnum" />
        <result column="RETSOLNUM" property="retsolnum" />
        <result column="RETEMPLNUM" property="retemplnum" />
        <result column="DISPERNUM" property="dispernum" />
        <result column="DISEMPLNUM" property="disemplnum" />
        <result column="UNENUM" property="unenum" />
        <result column="UNEEMPLNUM" property="uneemplnum" />
        <result column="DEPENDENTENTNAME" property="dependententname" />
        <result column="ASSGRO" property="assgro" />
        <result column="ASSGRODIS" property="assgrodis" />
        <result column="LIAGRO" property="liagro" />
        <result column="LIAGRODIS" property="liagrodis" />
        <result column="VENDINC" property="vendinc" />
        <result column="VENDINCDIS" property="vendincdis" />
        <result column="MAIBUSINC" property="maibusinc" />
        <result column="MAIBUSINCDIS" property="maibusincdis" />
        <result column="PROGRO" property="progro" />
        <result column="PROGRODIS" property="progrodis" />
        <result column="NETINC" property="netinc" />
        <result column="NETINCDIS" property="netincdis" />
        <result column="RATGRO" property="ratgro" />
        <result column="RATGRODIS" property="ratgrodis" />
        <result column="TOTEQU" property="totequ" />
        <result column="TOTEQUDIS" property="totequdis" />
        <result column="NUMPARM" property="numparm" />
        <result column="PARINS" property="parins" />
        <result column="PARINS_CN" property="parinsCn" />
        <result column="RESPARMSIGN" property="resparmsign" />
        <result column="RESPARSECSIGN" property="resparsecsign" />
        <result column="LASTUPDATETIME" property="lastupdatetime" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ANCHEID, PRIPID, ANCHEDATE, ANCHEYEAR, REGNO, UNISCID, ENTNAME, ENTTYPE, TEL, ADDR, POSTALCODE, EMAIL, BUSST, BUSST_CN, EMPNUM, EMPNUMDIS, ANTYPE, COLGRANUM, COLEMPLNUM, RETSOLNUM, RETEMPLNUM, DISPERNUM, DISEMPLNUM, UNENUM, UNEEMPLNUM, DEPENDENTENTNAME, ASSGRO, ASSGRODIS, LIAGRO, LIAGRODIS, VENDINC, VENDINCDIS, MAIBUSINC, MAIBUSINCDIS, PROGRO, PROGRODIS, NETINC, NETINCDIS, RATGRO, RATGRODIS, TOTEQU, TOTEQUDIS, NUMPARM, PARINS, PARINS_CN, RESPARMSIGN, RESPARSECSIGN, LASTUPDATETIME, S_EXT_FROMNODE, S_EXT_DATATIME, create_time, update_time
    </sql>

</mapper>
